Kerbal Space Program - Bug #2349

Frozen Orbit Null Reference Exception
04/05/2014 12:19 AM - Kerano
Category: Physics

Target version:

Version: 0.23.5 Language: English (US)
Platform: Win32 Mod Related: No
Description

Version: 0.23.5.464 (fresh install, no mods or addons)

Description: The onset of the "frozen orbit" bug coincides with a NullReferenceException appearing in the debug menu. Once
triggered, using nonphysical timewarp will freeze some spacecraft in place in their current SOI. Others will be torn apart.

The "frozen on launchpad" and "catastrophic explosion" bugs both seem to be closely related. (Refer to
http://bugs.kerbalspaceprogram.com/issues/2338 - both are first triggered by a NullReferenceException and both result in
nonphysical timewarp becoming seriously bugged.) However, the "frozen orbit" bug could not be reproduced via the same steps.

I've now found a reproducible set of steps to trigger the "frozen orbit" bug. Here they are:

1. Go to the tracking station

2. Switch to a ship clawing an asteroid travelling at <~1000 m/s around Kerbin (ideally with a few reaction wheels)

3. Physical timewarp x4

4. Turn the spacecraft forcefully in any direction (e.g. by holding on A)

5. Quicksave at a point where the spacecraft is severely out of alignment with the COM (~20+ degrees)

6. Reload the quicksave

7. Repeat from step 4 until triggering "Null Reference Exception" in the debug menu (doesn't usually happen the first time, but always
after a few tries)

8. Nonphysical timewarp

After finding a way to reliably trigger the "Null Reference Exception" | tested the effects on different spacecraft.
Effect #1 - The spacecraft that triggered the bug freezes in its orbit around Kerbin after using nonphysical timewarp.

https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot359.jpg
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot361.jpg

Effect #2 - A spacecraft in the Sun's SOI freezes in its orbit after using nonphysical timewarp.
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot362.jpg
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot363.jpg
(Other spacecraft in low-velocity (<~1000 m/s) orbit around Kerbin also freeze in orbit.)

Effect #3 - Spacecraft on the launchpad will freeze in place after using nonphysical timewarp. Thrusting up tears the ship apart, but
the top of the ship remains hovering above the ground indefinitely.
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot367.jpg
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot370.jpg

Effect #4 - Spacecraft in a high-velocity (>~2000 m/s) orbit around Kerbin gently break apart after using nonphysical timewarp. (No
catastrophic explosion.)

https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot373.jpg
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot374.jpg

Effect #5 - A spacecraft clawing an asteroid in a high-velocity (>~2000 m/s) orbit around Kerbin experiences a strong torque about
the claw after using nonphysical timewarp. The spacecraft rapidly twists around until it hits the asteroid, either exploding or breaking
apart depending on the force of impact.
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot375.jpg
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Testing/screenshot376.jpg
Output logs from repeated tests:

https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%200rbit/Output%20l0g%201/output_log.txt
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%200rbit/Output%20l0g%202/output_log.txt
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%200rbit/Output%20l0g%203/output_log.txt

Related issues:

Related to Kerbal Space Program - Bug #2753: New kraken: all ships accelerate... Closed 07/12/2014
Related to Kerbal Space Program - Bug #2338: Claw Null Reference Exception Closed 04/03/2014
Has duplicate Kerbal Space Program - Bug #2424: Warp Bug Duplicate 04/27/2014
History

#1 - 04/05/2014 05:54 AM - Kerolyov

- Status changed from New to Need More Info

Hey, thanks for this report, frozen orbit annoying bug that I've seen but can't reproduce with your steps unfortunately.

| tried your persistent file from http:/bugs.kerbalspaceprogram.com/issues/2347 and tried many different craft in different orbits and despite many
quicksaves and loads couldn't get a null exception. So still needs a bit of nailing down.

One note I'll make is the only time it happened previously was when | was on a simple orbiter with no claw or asteroid so looks like its not an
asteroid/claw specific bug but something general related to timewarp maybe?

#2 - 04/05/2014 07:40 AM - Kerano

| tried that persistence file as well and got the crazy torque/self destruction version of the NullReferenceException bug easily enough, but the frozen
orbit version didn't trigger on all ships. | could only reproduce it using one craft (Goliath VIII-2).

Here is the backup persistence file from when | first stress-tested the frozen orbit bug, in case it's useful (I used Goliath VIII-2):
https://dl.dr xusercontent.com/u/8721 1/KSP/Frozen%20orbit/Persistent%201/persistent.sf

It's strange that some ships will trigger the "frozen orbit" version of the NullReferenceException bug, but others trigger
torques/disassemblies/explosions. My best guess is that to trigger the allllfrozen orbitallll version, the ship needs to be at a specific distance and/or
velocity relative to Kerbin. Could be something related to the ship design though.

| agree that there seem to be multiple methods of initiating the bug, and it may not be asteroid/claw specific. The method | outlined above is simply
the first way I've been able to reliably reproduce the bug.

Here are some screenshots to walk through the exact process | used just now to replicate the bug again, using the backup persistence file linked
above:

#1 allll Select Goliath VIII-2 in space centre
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Persistent%201/screenshot389.jpg

#2 allll Load Goliath VIII-2
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Persistent%201/screenshot390.jpg

#3 allll First physics warp + torque + quicksave
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Persistent%201/screenshot391.jpg

#4 allll First reload
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Persistent%201/screenshot392.jpg

#5 allll Second physics warp + torque + quicksave
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Persistent%201/screenshot393.jpg

#6 allll Second reload (first appearance of NullReferenceException, though not yet freezing in orbit with nonphysical timewarp)
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Persistent%201/screenshot394.jpg

#7 allll Third physics warp + torque + quicksave
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Persistent%201/screenshot395.jpg

#8 allll Third reload (another NullReferenceException)
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Persistent%201/screenshot396.jpg

#9 allll Immediately after hitting nonphysical timewarp this time, a huge list of NullReferenceExceptions came up, and the alllfrozen orbitallll bug
was activated
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/Persistent%201/screenshot397.jpg

(Sometimes it takes a few more than 3 iterations to get there, but it always happens eventually.)

#3 - 04/05/2014 08:55 PM - Kerano
Ahal! Finally managed a breakthrough.

1allve just done some more testing with the persistence file linked above to try to narrow down the conditions triggering the bug. One new crucial
thing | noticed is that the craft is never exactly allllfrozenallll in its orbit allll the altitude is changing at the same rate as if no timewarp were
being used, but the velocity remains constant. Of course a constant velocity in an elliptical orbit is effectively a phantom acceleration as you
change in altitude. | saw a bug report from someone else who triggered the NullReferenceException during a launch and waited long enough to be
eventually flung out of Kerbinallls SOI without any throttle. On a hunch | tested what happened if | waited for a while after triggering the bug myself,
and | got a craft on a collision course with Kerbin to raise its periapsis out of the ground with no throttle.

So 1alllld reclassify the allllfrozen orbitallll and alllphantom accelerationallll bugs as different manifestations of one bug:

- Nonphysical timewarp has no effect for the craft youé[l[lre focussed on, instead you experience regular time (though all other objects will timewarp)
- Your craftalllls velocity is locked at the value it had when you pressed nonphysical timewarp in the bugged state

Here are the results of my tests with the particular orbital inclination and eccentricity of Goliath VIII-2, using the persistence file and steps above. Each
test begins with exiting and restarting the game to remove the bugged state.

Test #1 allll altitude 5300 km, velocity 982 m/s -> alllfrozenallll orbit (repeated 6+ times)

Test #2 allll altitude 29000 km, velocity 67 m/s (apoapsis) -> catastrophic explosion (repeated twice)
Test #3 allll altitude 19950 km, velocity 331 m/s -> catastrophic explosion

Test #4 allll altitude 9950 km, velocity 659 m/s -> catastrophic explosion (repeated twice)

Test #5 allll altitude 8950 km, velocity 710 m/s -> catastrophic explosion

Test #6 allll altitude 7850 km, velocity 780 m/s -> allllfrozenallll orbit (repeated three times)

Test #7 allll altitude 6900 km, velocity 840 m/s -> allllfrozenallll orbit

Test #8 allll altitude 5500 km, velocity 960 m/s -> allllfrozenallll orbit

Test #9 allll altitude 2500 km, velocity 1430 m/s -> allllfrozenallll orbit

Test #10 alll altitude 880 km, velocity 2126 m/s -> torqueing followed by gentle disassembly or explosive disassembly, depending on the orientation
of the spacecraft to the asteroid (repeated four times)

The first thing to note is that there seems to be a clear cutoff point around 8000-9000 km where the allllfrozenallll orbit doesnallllt happen, at least
for this particular inclination and eccentricity. | rechecked what happened at the 9950 km altitude if | changed the orientation of the craft, thinking that
maybe the catastrophic explosions were a result of the direction the craft was facing in its orbit. However, there was no such effect allll | tried about
10 different orientations at ~60 degree intervals everywhere along the navball, and always got the catastrophic explosion. So it seems the altitude
and/or velocity of the orbit matters in terms of whether you get the allllfrozenallll orbit version of the NullReferenceException.

Following Test #10, | waited to see what happened in the game following the disassembly. Aside from the constant alllstuckall velocity raising my
periapsis out of the ground, the spacecraft actually disassembled a second time as it moved closer to Kerbin, leaving it with only a couple of structural
elements and a remote guidance unit. This makes me suspect that only part of the spacecraft is locked at constant velocity, and as the
discrepancies build up between the velocities different parts want to move, the ship develops an irreversible torque and/or rips itself apart.

(By the way, the length of time to trigger the NullReferenceException using the steps above is still pretty random. Occasionally it happens on the first
quicksave/reload, sometimes it takes 15-20 iterations. On one occasion, the first two times | reloaded to a NullReferenceException it didnallt trigger
any bugs with nonphysical timewarp, only entering the bugged state after the third NullReferenceException.)

#4 - 04/06/2014 06:23 AM - Kerano

After more testing with different spacecraft in the persistence file linked above, | have a few more notes.

#1 all The steps from http://bugs.kerbalspaceprogram.com/issues/2338 seem to trigger the same bugged game state as the steps listed above.
Whether the apparent effect of the bugged game state is alllfrozen orbitalll, allllfrozen launchallll, allllphantom accelerationallll, allllcatastrophic
explosionallll, alllgentle disassemblyallll, allllphantom torqueallll, or a combination thereof appears dependent on the orbital parameters and
current position of the spacecraft. All of the different effects can be triggered by switching to a spacecraft and hitting nonphysical timewarp after the
bugged game state is initiated. The consistent factor always seems to be (1) locked velocity, and (2) nonphysical timewarp having no effect for the
selected craft (or sometimes being unusable due to acceleration/gyrations).

#2 alll For Goliath VIII-2, on the way up to the apoapsis the alllfrozen orbitallll can be triggered up to 8264 km, while the allllcatastrophic
explosionallll is triggered from 8265 km upwards. | tested this several times and was surprised how consistent it was. Whether or not the craft
explodes, the two consistent factors are always (1) the velocity of the craft/remote guidance unit is locked, and (2) time passes at the normal rate
regardless of nonphysical timewarp.

#3 allll For most other spacecraft the boundary between allllfrozen orbit/phantom torqueallll and allllcatastrophic explosionallll seems to be at lower
altitudes than for Goliath VIII-2, around 3000-6000 km.

#4 allll Going into physical timewarp below about 1000 km with a craft thatallls already been torn apart from its asteroid shows the alllphantom
torqueallll still in effect on the remnants of the craft.

https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/screenshot471.jpg
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/screenshot472.jpg

#5 allll While in a allllfrozen orbitallll, entering another SOI will tear apart the craft. | suspect this may be because entering another SOI changes the
relative orbital velocity, but at least one part of the craft tries to maintain its locked velocity. In the screenshots below | got a craft into a region near the
Munalllls orbit, then triggered the NullReferenceException and nonphysical timewarped until the Munallls SOI was close by.

https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/screenshot476.jpg
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%200rbit/screenshot477.jpg
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/screenshot478.jpg

#6 allll When physical timewarping ahead with a craft in a allllfrozen orbitallll attached to an asteroid, the asteroid-craft system soon starts
oscillating. My suspicion is that this is the result of the craft trying to maintain its locked velocity, which consequently applies a force to the asteroid
which is trying to move in a allllnormalalll orbit. If these oscillations continue for a while, the craft will sometimes clip through the asteroid to an
absurd extent.

https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/screenshot481.jpg
https://dl.dropboxusercontent.com/u/87213001/KSP/Frozen%20orbit/screenshot482.jpg

#5 - 04/06/2014 10:09 AM - Kerano

| just realised that talking about "locked velocity", "phantom torquing" and "phantom acceleration" is actually missing a much simpler way of thinking
about the problem.

When the bug is triggered, gravity stops acting on at least one part of the spacecraft.

| think the reason | didn't come to this conclusion sooner is because the map screen still draws the projected orbit for the spacecraft based on its
current velocity and altitude. But after the bug is triggered, the spacecraft (or what's left of it) isn't moving along an orbital path at all - it's moving in a
straight line. This would be more noticeable if the ability to nonphysical timewarp didn't happen to be broken at the same time.

A lack of gravity on at least one part of the spacecraft would neatly explain the locked velocity, phantom torqueing, phantom acceleration, and frozen
launchpad issues. Broken nonphysical timewarp explains the illusion of "frozen" orbits. The only thing | can't explain are the catastrophic explosions
at high altitudes (above ~5000-10000 km) - a lack of gravity alone shouldn't cause this, so I'm guessing it has to do with something else.

#6 - 04/08/2014 10:35 PM - Claw
- File screenshot11.png added
- File screenshot14.png added
- File screenshot16.png added
- File screenshot17.png added

I'm not sure if this is the same bug or not. It manifested itself a bit differently, but perhaps it's related.

WHAT HAPPENS:
Clawing a piece of debris resulted in target velocity runoff. The craft thought the target was stationary in orbit, although it was clawed. (Doing a full
orbit caused the target velocity to zero out, then grow again.)

HOW TO REPRODUCE:

This was from a completely fresh save game. No other craft were running in the persistent.sfs. | did not timewarp during any of this.
1) Create a craft (as seen in the pictures). The only part missing from the pictures for launch are three radial mount SRBs.

2) Launch into orbit.

3) Decouple orbital insertion stage (orange tank) and claw it with the probe.

NOTES:

After this happens, the game won't let me return to the space center, revert, or quicksave/quickload.

This seemed to happen more often when | clawed the "Rockomax Brand Adapter" first, but you can see even the orange tank did it.
When | had a probe body on top of the Rockomax Adapter, it didn't do this. Although | only tried that once...

Even though the skipper engine didn't show up on the staging side, the engine fires.

Time warping did not cause an explosion.

#7 - 04/10/2014 04:11 PM - Ted

Okay, so I've given your grappling the decoupled tank a go, Claw. Can't say | spotted any odd behaviour there - other than the target velocity being
quite wrong.
Going to test the other notes in this issue further.

#8 - 04/10/2014 05:31 PM - sal_vager

- File bugged persistent.sfs added

- File frozen orbit KSP.log added

- File frozen orbit 2 KSP.log added

- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

| have successfully reproduced this issue, by following the steps given in Kerano's post above, there was no nullref before using regular warp
however.

The craft, once frozen, will just sit in place on is orbit despite the altitude changing, also it will still be stuck even if KSP is restarted and the save
reloaded.
| have attached the KSP.log and bugged save from testing this.

#9 - 04/10/2014 06:36 PM - Kerano

Ted: Good to know. Let me know if | can help in any way. :)

sal_vager: | was surprised you said the bug remained for you even if KSP was restarted and reloaded, as that has not been my experience. |
downloaded the file you uploaded to check - as far as | could tell the bug was not present in this save. Using nonphysical timewarp worked perfectly
normally for me.

| presume you used Goliath VIII-2 as | did? Are you sure you're completely exiting all instances of the game? Maybe try restarting your computer and
loading up the file again?

From my experience, exiting/restarting the game always removes the bug. It has to be re-triggered to reappear, and two methods seem to be (1)
quicksaving and reloading a clawed asteroid after moving it multiple times, and (2) switching between multiple clawed asteroids in the map view. (One
of my crazier save files triggers the NullReferenceException almost every time with just one quicksave and reload - it's in post #3 here:
http://bugs.kerbalspaceprogram.com/issues/2367). As noted above, the exact effects of the bug - "frozen" orbit/launch, catastrophic
explosion/disassembly, phantom acceleration/torque - seem to depend on the location and/or velocity of the craft.

#10 - 04/14/2014 04:21 PM - dstruct2k

Ted wrote:

Okay, so I've given your grappling the decoupled tank a go, Claw. Can't say | spotted any odd behaviour there - other than the target velocity
being quite wrong.
Going to test the other notes in this issue further.

The issue you're mentioning about incorrect target velocity on clawed objects sounds like a different bug; When the object is grappled, it stops being a
separate object and is now part of the active vessel. The target's ID no longer exists (although it'll reappear when ungrappled) and the game ends up
referring to the last known position of that ID. What should be happening here is the same as when docking: the current target should be cleared.

Really wish | had input on how to solve the bigger issue here though. :(

#11 - 05/17/2014 09:35 AM - Saskwach

For what it's worth, I'm also seeing this in the x86_64 Linux build.

| engage nonphysical time acceleration and the ship I'm watching just stops moving. Everything else continues on in its orbit, but my focus doesn't

move at all. I'm seeing this pretty consistently with vessels from large fuel tanks docked to spaceplanes down to a tiny probe with nothing but an ion
drive and a couple solar panels.

#12 - 10/21/2014 08:10 PM - disoculated

| experienced this problem and was as wits end trying to figure it out. | mean, I'd been playing for months and all of a sudden this starts happening?
To every ship, every time | warp?

To make a long story short, | noticed that there were 128 mechjeb ship config files in C:\Program Files\Steam\steamapps\common\Kerbal Space
Program\GameData\MechJeb2\Plugins\PluginData\MechJeb2. 128 being a suspicious number, | deleted them all.

Poof. Problem gone.

#13 - 11/29/2014 07:49 PM - Squelch
- Category changed from Bug Tracker to Physics

Setting relations and a changing the category for easier queries.

#14 - 03/26/2015 05:08 PM - widi1975

Hi, | had the same issue. May | have workaround. | could reproduce the bug.
| am using the MKS Mod (The colony mod to build bases on moon for example)
| built a test colony with a test vehicle near my landing platform.

After | did that | had the problem with frozen spacecrafts when | go to warp (time warp).
After | deleted some debris in Space and deleting everthing near my landing platform on kerbal - | hadn't the bug anymore.

I hope this will help resolving the bug. Because this bug is really annoying.
#15 - 04/04/2015 02:12 PM - widi1975

| have some bases on moon. Not every time but very often | am switch from my base on ground to a space craft | could reproduce the bug. My
Spacecraft explode or freeze after | use the time warp.
#16 - 04/07/2015 07:36 AM - widi1975
- File MKS Integrated Module Base.png added
- File MKS Integegrated Module Base2.png added

I think, | have found a part in the MKS mod which cause the time warp bug.
If you use the MKS Integegrated Module Base and connect it to other parts on your Base and you go back to a vessel and click warp the bug cause
that the vessel freeze or explode.
MKS IntegesfeaiddddotiuRaBaseRypng
#17 - 05/09/2015 06:04 PM - Trainzack

| have had the misfortune of this bug affecting my 1.0 save.

However, | happened to have made tens of dated quicksaves that may help investigations.

Mods include station parts expansion (

Transfer Wmdow Planner, and D|stant Object Enhancement although you should only need the first to load these saves. | think it was at (5-7 20+55 3
kerbals returning) that the bug repeatedly happened, although restarting the game seemed to fix that.

The zip file containing the quicksaves is here: https:/dl.dropboxusercontent.com/u/55136631/GhostKrakenBugSaves.zip

#18 - 05/11/2015 01:51 PM - ofirc

| am experiencing this (or a very similar issue) in an unmodded 1.0 (steam) installation.

It mostly happens in career mode (which is a new game with default difficulty settings - so it doesn't seem to be an upgrade artifact) and seems to be
related to being close to Kerbin (~10-200KM) and/or (and more likely) to be related to not having access to maneuver nodes and/or to direction
selector (due to low pilot level/command module tech/upgrade level).

| don't need claw in the craft to reproduce it (but may be related to having activated the asteroid redirect scenario earlier), essentially, with those
conditions, with some crafts, whenever | activate wrap, | get a can't wrap during acceleration message (even though no acceleration is active), and
then see the constant orbit constant speed effect, usually ending with some parts of the craft going missing after some time.

Given the simple scenario, and since this is probably the configuration for most new career games, it probably deserves new attention.

#19 - 05/18/2015 03:33 PM - Sniffy
- File Capture.PNG added

1.0.2 Steam install - unmodded
This is happening to me after docking with my klaw on minnus or simply switching to that vehicle and switching back.
Here are two scenarios that | can replicate with 100% success.

Scenario 1:
Dock my super simple ship (mono fuel tank, mono engine, probe, cockpit) to my refueling station on minnus. After refueling | fly away. Upon
reaching 3k meters, | hit the timewarp and instantly explode, leaving the remaining control-point suspended in mid-space (was about to say air)...

Scenario 2:

fly a ship....anywhere in space. Switch to my minnus base (same as above, with klaw). switch back to said ship. Accelerate. Timewarp. Timewarp
will go up, but then go back to 1x right away, leaving my ship glued to its control point. | can watch the rest of the ship try to pivot and move but b/c it
is connected to the stuck point, it does nothing. 9 times out of ten | get the "can't warp during accel" message if | try again. Every now and then | can
accelerate and just watch the world below me spin SUUUUUPER fast. This may be altitude related, though the rest of the symptoms are the same so
I'm pretty sure it's the same bug.

#20 - 07/07/2015 07:05 PM - vonsch

I'm seeing the same behavior in Steam 1.0.4 install, mods on or off. 3 Different ships. All instantly explode during time warp, although with KJR
installed, they don't explode, but they do remain entirely static and uncontrollable.

I'm new to KSP and bugtracking. let me know what | can post to help.
#21 - 07/27/2015 05:55 PM - Squelch

- Platform Win32 added
- Platform deleted (Windows)

#22 - 07/31/2015 09:42 PM - widi1975

Hi, | have the same issue now with a other modul. If | use the extraplanetary launchpad. The launchpad for ground is causing this issue. The vessels
explode by warping or freezing.
http://forum.kerbalspaceprogram.com/threads/91814-1-02-Stockalike-Station-Parts-Expansion-%2804-05-2015-CTT-and-minor-fixes%29
https://dl.dropboxusercontent.com/u/55136631/GhostKrakenBugSaves.zip

After the vessel explodes, you can see that every part has a different speed. some parts are escaping the planet or moon, some others flying on

different places on the planet

#23 - 11/17/2015 02:54 PM - sal_vager

- Status changed from Confirmed to Resolved
- Severity changed from High to Normal

- % Done changed from 10 to 100

Hi, please be mindful of the bug reporting guidelines and priority table when reporting issues, thank you.

http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

No longer occurring in 1.0.5, build 1028

#24 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
